Subject: Re: [MEDIACTRL] Endpoint Signaling

From: Gonzalo Camarillo <[email-masked]>
Date: Fri, 01 Dec 2006 15:37:37 +0200

Hi Eric,

what we need to be concerned about is that the protocol between the 
application server and the media server supports those floor control 
commands. As long as our protocol is able to carry them, we are fine.

Then, if somebody wants to co-locate their application server with their 
media server controller and use a master/slave protocol to control the 
mixing part... well, that is not our problem and is nothing we should 
discuss here (i.e., out of our scope).

In short, I agree with the 'no' answer you propose below.

Cheers,

Gonzalo

>     * To: <mediactrl at ietf.org>
>     * Subject: [MEDIACTRL] Endpoint Signaling
>     * From: Eric Burger <eburger at cantata.com>
>     * Date: Mon, 13 Nov 2006 23:46:53 -0500
> 
> As I was revising the charter, I stumbled upon something related to Roni's
> and Lorenzo's discussion on BFCP that relates directly to Dave Oran's
> concern.  Namely,
> 
>   Shall mediactrl entertain signaling directly between the
>   user endpoint and the media server?
> 
> I would offer the answer is "no."  That restriction means that if we receive
> floor control commands, they will come from the application server.
> Likewise, while the media server will most likely do VCR controls (or
> trick-play controls, i.e., FF, REW, Pause), they will not be directly from
> the end-user.
> 
> Of course, there is nothing to prevent a user endpoint from looking like an
> application server, nor is there anything to prevent us from deciding that
> if we do floor control, it will look like BFCP.  However, I would like to
> clarify that we will NOT be working on a user-end-point to media server
> protocol in mediactrl.
> 
> The language I have put into the most recent draft charter reads as follows:
> 
>    The expected deployment architecture for a media server
>    in the context of mediactrl is as a server to application
>    servers.  It is not expected that end user endpoints will
>    have a direct signaling relationship to the media server.
> 
> 
> Any dissent?  Speak now before I update the charter.

_______________________________________________
MEDIACTRL mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mediactrl